package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanWxEnterpriseRelated;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WxEnterpriseRelatedMapper {

    int deleteByPrimaryKey(String wxEnterpriseRelatedId);

    int insert(TabHaobanWxEnterpriseRelated record);

    int insertSelective(TabHaobanWxEnterpriseRelated record);

    TabHaobanWxEnterpriseRelated selectByPrimaryKey(String wxEnterpriseRelatedId);

    int updateByPrimaryKeySelective(TabHaobanWxEnterpriseRelated record);

    int updateByPrimaryKey(TabHaobanWxEnterpriseRelated record);
    
    List<TabHaobanWxEnterpriseRelated> listByWxenterpriseId(String wxEnterpriseId);

    TabHaobanWxEnterpriseRelated findOneByEnterpriseId(String enterpriseId);

	List<TabHaobanWxEnterpriseRelated> queryAllHasGicEnterpriseId();
	
	List<TabHaobanWxEnterpriseRelated> listEnterpriseByEnterpriseIds(@Param("enterpriseIds")List<String> enterpriseIds);

    List<TabHaobanWxEnterpriseRelated> listEnterpriseByTime(@Param("time")String time);

    /**
     * 查询企业下唯一商户
     *
     * @param enterpriseId
     * @param wxEnterpriseId
     * @return
     */
    TabHaobanWxEnterpriseRelated findOneByEIdAndWxEid(@Param("enterpriseId") String enterpriseId, @Param("wxEnterpriseId") String wxEnterpriseId);

    /**
     * 查询企业下唯一商户 总部企业
     *
     * @param enterpriseId
     * @return
     */
    TabHaobanWxEnterpriseRelated findRootWxEnterpriseByEnterpriseId(@Param("enterpriseId") String enterpriseId);

    /**
     * 查询好办所有的企业id
     * @return : 返回好办关联的所有企业id
     */
    List<String> findAllEnterpriseId();
}